package com.diagbot.process;

import com.diagbot.dto.BillMsg;
import com.diagbot.dto.HighRiskNeoDTO;
import com.diagbot.dto.IndicationDTO;
import com.diagbot.util.StringUtil;
import org.springframework.stereotype.Component;

import java.util.List;

/**
 * @Description: 高风险总入口
 * @author: zhoutg
 * @time: 2018/8/6 9:11
 */
@Component
public class HighRiskProcess {

    /**
     * 处理业务
     * @param highRiskNeoDTOList
     * @param res
     */
    public void process(List<HighRiskNeoDTO> highRiskNeoDTOList, IndicationDTO res) {
        for (HighRiskNeoDTO highRiskNeoDTO : highRiskNeoDTOList) {
            BillMsg billMsg = new BillMsg();
            String type = highRiskNeoDTO.getType();
            billMsg.setMsg(highRiskNeoDTO.getName()
                    + (StringUtil.isNotBlank(highRiskNeoDTO.getForm()) ? highRiskNeoDTO.getForm() : "")  // 药品剂型
                    + "为高风险" + type + "，请留意");
            billMsg.setOrderName(highRiskNeoDTO.getName());
            billMsg.setOrderStandName(highRiskNeoDTO.getStandname());
            billMsg.setType(type);
            res.getHighRiskList().add(billMsg);
            System.out.println(highRiskNeoDTO);
        }
    }
}
